Skip to content
View as Markdown

POST Bulk Create Lists​

POST
/lists/bulk

Create or update multiple contact lists in a single request. Lists are matched by slug -- if a list with the given slug already exists, its title is updated; otherwise a new list is created. Lists without a title are skipped.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"lists": [
{
"title": "string",
"slug": "string"
}
],
"items": [
{
"title": "string",
"slug": "string"
}
]
}

Responses​

Lists created or updated successfully.

application/json
JSON
{
"message": "string",
"ids": [
0
]
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI